#
# spec file for package cpufrequtils (Version 0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnscd libpng libstdc++ libtool libxcrypt libzio lynx m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip util-linux vim xli xorg-x11-libs zlib zlib-devel

Name:           cpufrequtils
BuildRequires:  doxygen lynx sysfsutils
URL:            http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Version:        0.4
Release:        14.2
Summary:        Tools to Determine and Set CPUfreq Settings
License:        GPL
Group:          System/Base
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr

%description
To make access to the Linux kernel cpufreq subsystem easier for users
and cpufreq userspace tools, the cpufrequtils package was created. It
contains a library used by other programs (libcpufreq), command line
tools to determine current CPUfreq settings and to modify them
(cpufreq-info and cpufreq-set), and debug tools.



Authors:
--------
    Dominik Brodowski <linux@brodo.de>

%debug_package
%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-,root,root)
%{_libdir}/libcpufreq.*
%{_mandir}/man1/cpufreq*
/usr/share/locale/*/LC_MESSAGES/cpufrequtils.mo
/usr/include/cpufreq.h
/usr/bin/cpufreq-*

%changelog -n cpufrequtils
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 - seife@suse.de
- update to version 0.4
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Tue Jun 14 2005 - seife@suse.de
- update to version 0.3
* Tue Jun 14 2005 - ro@suse.de
- added sysfsutils to nfb
* Mon Feb 28 2005 - seife@suse.de
- update to version 0.2
* Tue Jan 18 2005 - seife@suse.de
- update to version 0.2-pre1
* Tue Dec 21 2004 - seife@suse.de
- initial submission, version 0.1
